#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Devel
%define		pnam	SawAmpersand
Summary:	Devel::SawAmpersand - querying sawampersand variable
Summary(pl.UTF-8):	Devel::SawAmpersand - pobieranie wartości zmiennej sawampersand
Name:		perl-Devel-SawAmpersand
Version:	0.32
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Devel/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	40fabeb3a624ecc27d86b286b68ff215
URL:		http://search.cpan.org/dist/Devel-SawAmpersand/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Devel::SawAmpersand Perl module is for querying sawampersand variable.
The global variable sawampersand gets set to true in that moment in
which the parser sees one of $, $', and $&. It never can be set to
false again. Trying to set it to false breaks the handling of the $,
$&, and $' completely.

%description -l pl.UTF-8
Moduł Perla Devel::SawAmpersand służy do pobierania wartości zmiennej
sawampersand. Zmienna globalna sawampersand jest ustawiana na "true".
gdy analizator składniowy Perla zobaczy $, $' lub $&. Nie można jej
ponownie ustawić na "false". Próba uczynienia tego spowodowałaby
całkowite popsucie obsługi symboli $, $& i $'.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%{perl_vendorarch}/B/FindAmpersand.pm
%{perl_vendorarch}/Devel/*.pm
%dir %{perl_vendorarch}/auto/Devel/SawAmpersand
%{perl_vendorarch}/auto/Devel/SawAmpersand/SawAmpersand.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Devel/SawAmpersand/SawAmpersand.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Devel-SawAmpersand.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0bb97ff
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> 39aa52b
- up to 0.32

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0cd4389
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 30b8686
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> c9f2723
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 8e202ee
- generic URL
- known License (same as perl)

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 4f88f1a
- up to 0.31

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e147d74
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6c6880f
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 446bfbc
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 34d6734
- spelling fixes

* Sat Jun 05 2004 radek <radek@pld-linux.org> 4b56d0e
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 2c3f96f
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 7c1e739
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> c0adde4
- cosmetics: unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 73fc81e
- summary/description/license fixes

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 073ecde
- new bconds

* Mon Feb 16 2004 Jakub Bogusz <qboosh@pld-linux.org> 11579c7
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 2475ff5
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> c3a08be
- mass commit: cosmetics (removed trailing white spaces)

